<template>
	<h2>{{ header }}</h2>
	<div
		class="book"
		v-for="book in books"
		:key="book.id"
		:class="{ sold: book.isSold }"
		@click="isSold(book)"
	>
		<img :src="book.imageUrl" :alt="book.title" />
		<h4 style="text-decoration: underline">
			<a :href="book.url" target="_blank">{{ book.title }}</a>
		</h4>
		<p>{{ book.author }}</p>
	</div>
	<p v-show="!isAny"><i>None</i></p>
</template>

<script>
export default {
	name: "BookList",
	props: ["books", "header"],
	methods: {
		isSold(book) {
			book.isSold = !book.isSold;
		},
	},
	computed: {
		isAny() {
			return Array.isArray(this.books) && this.books.length !== 0;
		},
	},
};
</script>

<style></style>
